package com.pavle.patternswitch.global;

import com.pavle.patternswitch.objects.Device;
import com.pavle.patternswitch.objects.Pattern;
import com.pavle.patternswitch.objects.Trigger;

import java.util.List;


public class Global {
    private static List<Device> sDeviceList;

    private static Pattern sPattern;

    private static Trigger sTriggerDevelopment;

    public static Trigger getTriggerDevelopment() {
        return sTriggerDevelopment;
    }

    public static void setTriggerDevelopment(Trigger mTriggerDevelopment) {
        Global.sTriggerDevelopment = mTriggerDevelopment;
    }

    public static List<Device> getDeviceList() {
        return sDeviceList;
    }

    public static void setDeviceList(List<Device> deviceList) {
        sDeviceList = deviceList;
    }

    public static Pattern getPattern() {
        return sPattern;
    }

    public static void setPattern(Pattern pattern) {
        sPattern = pattern;
    }
}
